RequestExecutionLevel admin
Name "QUB Express"
OutFile ..\Install-QUB-Express-HJCFIT-Plugin-1-11-11.exe
CRCCheck on
ComponentText "This will install the single molecule plugin for QUB Express:"
InstType /COMPONENTSONLYONCUSTOM
InstType "QUB Express"
DirText "Please select the location of QUB Express."

InstallDir "$PROGRAMFILES\QUB Express"
InstallDirRegKey HKEY_LOCAL_MACHINE SOFTWARE\qub-express "Install_Dir"

Section "HJCFit"
SectionIn 1
SetOverwrite try
SetCompress auto


SetOutPath "$INSTDIR\dist\Plugins\qubx_hjcfit"
File /r "qubx_hjc"
File hjclib.py
File qubx_plugin_about.txt
File qubx_plugin_fini.py
File qubx_plugin_imports.txt
File qubx_plugin_init.py
File qubx_plugin_name.txt
File README.txt
File "..\LICENSE.txt"

SetOutPath "$INSTDIR\dist"
File "..\qubxhjc.dll"


!ifndef NO_UNINST
WriteUninstaller "$INSTDIR\uninst-qubx-hjcfit.exe"
CreateShortCut "$STARTMENU\Programs\QUB Express\Uninstall HJCFIT plugin.lnk" "$INSTDIR\uninst-qubx-hjcfit.exe" "" "" 0
!endif

SectionEnd


!ifndef NO_UNINST
UninstallText "This will remove the HJCFIT plugin from QUB Express:"

Section Uninstall

RMDir /r "$INSTDIR\dist\Plugins\qubx_hjcfit"

SectionEnd

!endif

